﻿@model HomeIndexViewModel

@{
    Layout = "_Layout";
    ViewData["Title"] = "Home";
}

@{
}

<div id="carouselControls" class="carousel slide" data-ride="carousel">
    <div class="carousel-inner" width>
        <div class="carousel-item active">
            <img src="./img/img_1.jpg" class="d-block w-100" alt="...">
        </div>
        <div class="carousel-item">
            <img src="./img/img_2.jpg" class="d-block w-100" alt="...">
        </div>
        <div class="carousel-item">
            <img src="./img/img_3.jpg" class="d-block w-100" alt="...">
        </div>
    </div>
    <a class="carousel-control-prev" href="#carouselExampleControls" role="button" data-slide="prev">
        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
        <span class="sr-only">Previous</span>
    </a>
    <a class="carousel-control-next" href="#carouselExampleControls" role="button" data-slide="next">
        <span class="carousel-control-next-icon" aria-hidden="true"></span>
        <span class="sr-only">Next</span>
    </a>
</div>

<div class="text-center">
    <p>Top Rated Beers</p>
    @foreach (var beer in Model.TopRatedBeers)
    {
        <partial name="_SingleBeerPartial" model="beer" class="align-content-around"/>
    }
</div>